Skip to main content
`Ctrl`+`K`

# MatDenseRestoreArrayF90

Restores a matrix array that has been accessed with `MatDenseGetArrayF90()`.

## Synopsis

    MatDenseRestoreArrayF90(Mat x,{Scalar, pointer :: xx_v(:,:)},integer ierr)

Not Collective

## Input Parameters

- x - matrix

- xx_v - the Fortran90 pointer to the array

## Output Parameter

- ierr - error code

## Example of Usage

           PetscScalar, pointer xx_v(:,:)
           ....
           call MatDenseGetArrayF90(x,xx_v,ierr)
           a = xx_v(3)
           call MatDenseRestoreArrayF90(x,xx_v,ierr)

## See Also

Matrices, `Mat`, `MatDenseGetArrayF90()`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatSeqAIJRestoreArrayF90()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages